package com.usky.system.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.system.domain.MceReceive;
import com.usky.common.mybatis.core.CrudService;
import com.usky.system.domain.MceRequestVO;
import com.usky.system.service.vo.MceReceiveResponseVO;

import java.util.Map;

/**
 * <p>
 * 消息接收表 服务类
 * </p>
 *
 * @author han
 * @since 2024-05-09
 */
public interface MceReceiveService extends CrudService<MceReceive> {

    CommonPage<Object> mceList(String infoTitle, String infoType, String startTime, String endTime, Integer id, Integer infoId, Integer current, Integer size);

    CommonPage<Object> mceManageList(String infoTitle, String infoType, String startTime, String endTime, Integer current, Integer size);

    CommonPage<MceReceive> mceManageById(Integer id, Integer current, Integer size);

    Map<String, Object> mceReceiveStatic();

    void updateMceReceive(MceReceive mceReceive);

    void addMceReceive(MceRequestVO mceRequestVO);

    void add(String mceReceive);

    boolean removeById(Integer id);

    boolean deleteById(Integer id);

    CommonPage<MceReceiveResponseVO> getMceReceiveResponseVOList(Integer pageNumber, Integer pageSize);

    /**
     * 添加消息不带token
     * @param mceReceive
     */
    void addNoToken(String mceReceive);
}
